package org.nl.acs.device.device_driver.standard_inspect;

import lombok.extern.slf4j.Slf4j;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.driver.AbstractOpcDeviceDriver;
import org.nl.acs.device_driver.driver.ExecutableDeviceDriver;

@Slf4j
public class BaseDeviceDriver extends AbstractOpcDeviceDriver implements DeviceDriver, ExecutableDeviceDriver {
    protected ItemProtocol itemProtocol = new ItemProtocol(this);


    @Override
    public Device getDevice() {
        return this.device;
    }


    @Override
    public void execute() {
        int mode = this.itemProtocol.getMode();
        log.info("驱动执行mode :" + mode);
    }
}
